org.hibernate.validator.cfg.defs

## Class Mod11CheckDef

- java.lang.Object
- - org.hibernate.validator.cfg.ConstraintDef<Mod11CheckDef,Mod11Check>
  - - org.hibernate.validator.cfg.defs.Mod11CheckDef

-     public class Mod11CheckDef
      extends ConstraintDef<Mod11CheckDef,Mod11Check>

  Author:
    Hardy Ferentschik

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.validator.cfg.ConstraintDef

      `constraintType, parameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mod11CheckDef()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Mod11CheckDef` | `checkDigitIndex(int checkDigitIndex)`
    `Mod11CheckDef` | `endIndex(int endIndex)`
    `Mod11CheckDef` | `ignoreNonDigitCharacters(boolean ignoreNonDigitCharacters)`
    `Mod11CheckDef` | `processingDirection(Mod11Check.ProcessingDirection processingDirection)`
    `Mod11CheckDef` | `startIndex(int startIndex)`
    `Mod11CheckDef` | `threshold(int threshold)`
    `Mod11CheckDef` | `treatCheck10As(char treatCheck10As)`
    `Mod11CheckDef` | `treatCheck11As(char treatCheck11As)`

    - ### Methods inherited from class org.hibernate.validator.cfg.ConstraintDef

      `addParameter, groups, message, payload, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Mod11CheckDef

          public Mod11CheckDef()

  - ### Method Detail

    - #### threshold

          public Mod11CheckDef threshold(int threshold)

    - #### startIndex

          public Mod11CheckDef startIndex(int startIndex)

    - #### endIndex

          public Mod11CheckDef endIndex(int endIndex)

    - #### checkDigitIndex

          public Mod11CheckDef checkDigitIndex(int checkDigitIndex)

    - #### ignoreNonDigitCharacters

          public Mod11CheckDef ignoreNonDigitCharacters(boolean ignoreNonDigitCharacters)

    - #### treatCheck10As

          public Mod11CheckDef treatCheck10As(char treatCheck10As)

    - #### treatCheck11As

          public Mod11CheckDef treatCheck11As(char treatCheck11As)

    - #### processingDirection

          public Mod11CheckDef processingDirection(Mod11Check.ProcessingDirection processingDirection)

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved